Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class TaskMessage

    java.lang.Object
      com.bea.wli.worklist.api.TaskMessage

All Implemented Interfaces:
  Serializable

Deprecated. Use JavaBean user-defined properties instead.

    public class TaskMessage

extends Object
implements Serializable

This class describes a task message composed of:
- a byte array that is the message itself.
- the mimeType that qualifies the type of object serialized into byte[]. It is used for information (i.e.:pdf file). The mimeType can be null.

Since:
  8.1
See Also:
  Serialized Form

Field Summary
`byte[]` | `message` Deprecated.
`String` | `mimeType` Deprecated.
`String` | `storageFormat` Deprecated. Describes the format of the bytes in the message byte[].

Constructor Summary
`TaskMessage()` Deprecated. Serialization use only.
`TaskMessage(byte[] message, String mimeType)` Deprecated.

Method Summary
`boolean` | `equals(Object obj)` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    public byte[] message

  Deprecated.

### storageFormat

    public String storageFormat

  Deprecated.
  Describes the format of the bytes in the message byte[]. For text types this field could hold the character encoding (Java charset). By default worklist stores objects as Java serialization streams (e.g. storage format is 'Java').

### mimeType

    public String mimeType

  Deprecated.

Constructor Detail

### TaskMessage

    public TaskMessage()

  Deprecated.
  Serialization use only.

### TaskMessage

    public TaskMessage(byte[] message,
                       String mimeType)

  Deprecated.

Method Detail

### equals

    public boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD